# ``DoxyApp``

A command-line tool that starts the **Doxy** service in the local machine, based on the configuration provided by a 
list of input parameters. 

## Overview

The service, in a nutshell, proxies the contents of each and every available `DocC` archive at a specific folder in the 
local file system so they can be rendered by any web browser installed in the machine. Furthermore, it is also possible 
to query the list of the available `DocC` archives that are found at the *archives* folder in the local file system.

The implementation that builds the service in this executable is provided by the `DoxyLibrary` target, that could be 
tested in total isolation. This is a standard pattern for [building command-line tools](https://www.swiftbysundell.com/articles/building-a-command-line-tool-using-the-swift-package-manager/) 
with the [Swift programming language](https://www.swift.org).   

## Topics

### Executable

- ``Doxy``

### Input parameters

- ``Doxy/Options``
